% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict.rocTree.R
\name{predict.rocTree}
\alias{predict.rocTree}
\title{Predicting based on a \code{rocTree} model.}
\usage{
\method{predict}{rocTree}(object, newdata, type = c("survival",
  "hazard"), ...)
}
\arguments{
\item{object}{is an \code{rocTree} object.}

\item{newdata}{is an optional data frame in which to look for variables with which to predict.
If omitted, the fitted predictors are used.
If the covariate observation time is not supplied, covariates will be treated as at baseline.}

\item{type}{is an optional character string specifying whether to predict the survival probability or the cumulative hazard rate.}

\item{...}{for future developments.}
}
\value{
Returns a \code{data.frame} of the predicted survival probabilities or cumulative hazard.
}
\description{
The function gives predicted values with a \code{rocTree} fit.
}
\seealso{
\code{\link{predict.rocForest}}
}
